class ReadOnlyConjunctiveGraph(object):
    """similar to rdflib's ReadOnlyGraphAggregate but takes one CJ in, instead
    of a bunch of Graphs"""

    def __init__(self, graph):
        self.graph = graph

    def __getattr__(self, attr):
        if attr in ['subjects', 'value', 'objects', 'triples', 'label']:  # not complete
            return getattr(self.graph, attr)
        raise TypeError("can't access %r of read-only graph" % attr)

    def __len__(self):
        return len(self.graph)

    def contextsForStatement(self, stmt):
        raise NotImplementedError
